Skip to main content
GET
/
api
/
v3
/
defaults
/
gem_attributes
Get Default Gem Attributes
curl --request GET \
  --url https://api-staging.unbridaled.ai/api/v3/defaults/gem_attributes \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-staging.unbridaled.ai/api/v3/defaults/gem_attributes"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-staging.unbridaled.ai/api/v3/defaults/gem_attributes', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "clarity": [
    "FL",
    "IF",
    "VVS1",
    "VVS2",
    "VS1",
    "VS2",
    "SI1",
    "SI2",
    "I1",
    "I2",
    "I3"
  ],
  "color": [
    "D",
    "E",
    "F",
    "G",
    "H",
    "I",
    "J",
    "K",
    "L",
    "M",
    "N",
    "O",
    "OP",
    "P",
    "Q",
    "QR",
    "R",
    "S",
    "ST",
    "T",
    "U",
    "UV",
    "V",
    "W",
    "WX",
    "X",
    "Y",
    "YZ",
    "Z"
  ],
  "cut_code": [
    "rose_cut",
    "brilliant_cut",
    "step_cut",
    "mirror_cut",
    "european_cut",
    "old_mine_cut",
    "mixed_cut",
    "modified_cut"
  ],
  "cut_grade": [
    "IDL",
    "EX",
    "VG",
    "G",
    "F",
    "P",
    null
  ],
  "fluorescence": [
    "Very Strong",
    "Strong",
    "Medium",
    "Faint",
    "Slight",
    "Very Slight",
    "None",
    null
  ],
  "lab": [
    "GIA",
    "GCAL",
    "IGI",
    null
  ],
  "polish_grade": [
    "EX",
    "VG",
    "G",
    "F",
    "P"
  ],
  "shape": [
    "asscher",
    "baguette",
    "briolette",
    "bullets",
    "calf",
    "cushion",
    "emerald",
    "half_moon",
    "heart",
    "hexagon",
    "lozenge",
    "marquise",
    "octagon",
    "oval",
    "pear",
    "princess",
    "radiant",
    "rectangle",
    "round",
    "shield",
    "tapered_baguette",
    "trapezoid",
    "triangle"
  ],
  "symmetry_grade": [
    "EX",
    "VG",
    "G",
    "F",
    "P"
  ],
  "type": [
    "mined",
    "lab grown"
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

200 - application/json

OK

The response is of type object.